/***** Zvora - 10key Timer *****/

function changeTheme(event) {
	var themeId = event.target.id;
	var themeNumber = Number(themeId.charAt(themeId.length-1));
	for(var i=1;i<=5;i++){ gebi("btTheme" + i).src = "Images/btTheme" + themeFromNumber(i) + "_up.png";}
	gebi("btTheme" + themeNumber).src = "Images/btTheme" + themeFromNumber(themeNumber) + "_dn.png";
	setTheme(themeNumber);
}

function changeCheckboxState(event){
	var checkbox = event.target;
	changeOptions(checkbox.id, checkbox.checked);
}

function clickCheckboxLabel(event){
	var clickedLabel = event.target;
	var checkbox = clickedLabel.parentNode.previousSibling;
	while(checkbox.nodeName == "#text") { checkbox = checkbox.previousSibling;}
	if(checkbox.checked){ checkbox.checked = false;}
	else { checkbox.checked = true;}
	changeOptions(checkbox.id, checkbox.checked);
}

function changeOptions(idOfCheckbox, isChecked){
	switch(idOfCheckbox){
		case "msgStickInput":
			isMsgStick = isChecked;
			setToPref(isMsgStick, "isMsgStick");
			changeIdIconState("idIcon1", isMsgStick);
			gebi("msgStickInput").checked = isMsgStick;
			break;
		case "pbPlayInput":
			pbDoPlay = isChecked;
			setToPref(pbDoPlay, "pbDoPlay");
			changeIdIconState("idIcon2", pbDoPlay);
			gebi("pbPlayInput").checked = pbDoPlay;
			if(pbDoPlay){
				gebi("pbPlayTimeInput").removeAttribute("disabled");
				gebi("pbAlarmSoundPopup").removeAttribute("disabled");
				gebi("pbStickInput").removeAttribute("disabled");
			} else {
				var attr1 = document.createAttribute("disabled");
				var attr2 = document.createAttribute("disabled");
				var attr3 = document.createAttribute("disabled");
				attr1.value = attr2.value = attr3.value = "disabled"
				gebi("pbPlayTimeInput").setAttributeNode(attr1);
				gebi("pbAlarmSoundPopup").setAttributeNode(attr2);
				gebi("pbStickInput").setAttributeNode(attr3);
			}
			break;
		case "pbStickInput":
			pbIsStick = isChecked;
			setToPref(pbIsStick, "pbIsStick");
			gebi("pbStickInput").checked = pbIsStick;
			break;
		case "tickInput":
			isTick = isChecked;
			setToPref(isTick, "isTick");
			tickSound.muted = !isTick;
			gebi("tickInput").checked = isTick;
			break;
		case "loopInput":
			isLoop = isChecked;
			setToPref(isLoop, "isLoop");
			gebi("loopInput").checked = isLoop;
			if(isLoop) { loopNum = 1; }
			switch(playBtn.className){
				case("up"):
				case("loopUp"): changePlayBtn("up"); break;
				case("dn"):
				case("loopDn"): changePlayBtn("dn"); break;
				case("pauseUp"):
				case("loopPauseUp"): changePlayBtn("pauseup"); break;
				case("pauseDn"):
				case("loopPauseDn"): changePlayBtn("pausedn"); break;
			}
			break;
	}
}

function selectTextInABox(event){
	event.target.select();
}

function changeIdIconState(idIconName, isTrue){
	var idIcon = gebi(idIconName);
	if(isTrue){ idIcon.style.display = "block"; }
	else { idIcon.style.display = "none"; }
}

function checkPbPlayTimeEntry(event){
	var isFirstQuote = true;
	var pbPTField = gebi("pbPlayTimeInput");
	var entryTime = pbPTField.value;
	var theNum;
	var newEntry = "";
	for(var i = 0; i<entryTime.length; i++){
		theNum = entryTime.charAt(i);
		if(isNaN(theNum)){
			if(isFirstQuote && (theNum=="'" || theNum=="." || theNum==",")){
				newEntry += "'";
				isFirstQuote = false;
			}else{
				pbPTField.focus();
				pbPTField.select();
				return false;
				break;
			}
		} else {
			newEntry += theNum;
		}
	}
	savePbPlayTime(newEntry);
	return true;
}

function checkPbPlayTimeInput(){
	if(!pbDoPlay){ return true; }
	else { return checkPbPlayTimeEntry(); }
}

function savePbPlayTime(newEntry){
	pbPlayTime = formatTime(newEntry);
	gebi("pbPlayTimeInput").value = pbPlayTime;
	setToPref(pbPlayTime,"pbPlayTime");
}

function tabOver(event){
	var theTab = event.target.parentNode;
	if(theTab.className == "bTab up"){ theTab.className = "bTab ov"; }
}
function tabRout(event){
	var theTab = event.target.parentNode;
	if(theTab.className == "bTab ov"){ theTab.className = "bTab up"; }
}
function tabClick(event){
	if(checkPbPlayTimeEntry()){
		gebi("bTab1").className = gebi("bTab2").className = gebi("bTab3").className = "bTab up";
		event.target.parentNode.className = "bTab dn";
		gebi("notifyBox").style.visibility = gebi("prebellBox").style.visibility = gebi("miscBox").style.visibility = "hidden";
		switch(event.target.parentNode.id){
			case("bTab1"): gebi("notifyBox").style.visibility = "visible"; break;
			case("bTab2"): gebi("prebellBox").style.visibility = "visible"; break;
			case("bTab3"): gebi("miscBox").style.visibility = "visible"; break;
		}
	}
}

function btLinkRover(event){
	event.target.className = "ov";
}
function btLinkRout(event){
	event.target.className = "up";
}
function btLinkClick(event){
	widget.openURL("http://zvora.nomaki.jp/10key-timer/howto.html");
}